--- jlj.pl.orig	Thu Jul  1 00:15:08 2004
+++ jlj.pl	Tue Sep 27 07:56:21 2005
@@ -234,7 +234,7 @@
 
 my( $usefastserver, $serverretries );
 
-my( $argSubject, $argMood, $argBody, $argMusic );
+my( $argSubject, $argMood, $argBody, $argMusic, $argTag );
 my( $argCommunity, $argPrivacy, $argFriends, $argPicture );
 
 my( $argBodyFileName );
@@ -1469,7 +1469,7 @@
 
     # construct the form
     my( $user, $password );
-    my( $security, $mood, $music, $picture, $community, $format );
+    my( $security, $mood, $tag, $music, $picture, $community, $format );
     my( %post_hash );
     my( $mood_id );
 
@@ -1642,7 +1642,9 @@
     $form .= sprintf "&year=%04d&mon=%02d&day=%02d&hour=%02d&min=%02d",
                 $year, $month, $day, $hour, $min;
     $form .= sprintf "&subject=%s", webize($header{"subject"});
-    $form .= $format . $mood . $music .  $community;
+    $form .= $format . $mood;
+    $form .= sprintf "&prop_taglist=%s", webize($header{"tag"});
+    $form .= $music .  $community;
     $form .= $picture . $backdate . $commentallow . $emailreplies;
     $form .= sprintf "&event=%s", webize($body);
 
@@ -2006,6 +2008,12 @@
 		$quick = 1;
 	    }
 
+	    if ($earg eq "-eT") #tag
+	    {
+		$argTag = $arg;
+		$quick = 1;
+	    }
+
 	    if ($earg eq "-eb") #body
 	    {
 		$argBody = $arg;
@@ -2108,6 +2116,7 @@
     printf "\t-ep text\t Use \"text\" as your event's privacy [public/private/etc]\n";
     printf "\t-es text\t Use \"text\" as your event's subject\n";
     printf "\t-et text\t Use \"text\" as your event's music (tunes)\n";
+    printf "\t-eT text\t Use \"text\" as your event's tags\n";
 }
 
 sub check_for_new_version
@@ -2228,7 +2237,7 @@
 	edit_entry(  $postponeddir . "/" . $postponedfile );
 	spell_check( $postponeddir . "/" . $postponedfile );
     } else {
-	my( $subject, $music, $mood, $security, $picture, $format, $community );
+	my( $subject, $music, $mood, $security, $picture, $format, $community, $tag );
 	if ($offline == 1)
 	{
 	    printf "NOTE: Working offline!\n";
@@ -2364,6 +2373,7 @@
 
 	# 2.5 Check for command line argument overrides
 	if (defined $argSubject)   { $subject   = $argSubject;   }
+	if (defined $argTag)       { $tag       = $argTag;       }
 	if (defined $argBody)      { $body      = $argBody;      }
 	if (defined $argMood)      { $mood      = $argMood;      }
 	if (defined $argMusic)     { $music     = $argMusic;     }
@@ -2398,7 +2408,26 @@
 				$music, $mood, $security, $fgroups,
 				$monkeys, $picture, $format, $body );
 
+	# If -eT was used then $tag will be set here.  As to not
+	# confuse the user we should put their tags in the file so
+	# they are visible when editing it. It's a bit of a hack...
+	#
+	# I suppose we could insert it at the end of the headers, and 
+	# before the seperator, but that's more effort points than I
+	# care to expend on this.
+	if (defined $tag)
+	{
+	    &prepend_tags($queuefilename, $tag);
+	}
+
 	edit_entry($queuefilename); # get the body
+
+	if (!defined $tag)
+	{
+	    $tag = get_user_input_line("Tags (seperate multiple tags with commas)");
+	    &prepend_tags($queuefilename, $tag);
+	}
+
 	if ( $quick != 1 )
 	{
 	    spell_check($queuefilename);
@@ -2502,6 +2531,21 @@
     }
 }
 
+sub prepend_tags
+{
+	my $tmpname = shift;
+	my $intag = shift;
+
+	($^I, @ARGV) = ('.bak', $tmpname);
+	while (<>) {
+	    if ($. == 1) {
+		print "Tag:	$intag\n";
+	    }
+	    print;
+	    close ARGV if eof;
+	}
+	unlink("$tmpname.bak");
+}
 
 sub dumpUserPicList
 {
